Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class Group

    java.lang.Object
      com.pmease.quickbuild.model.Persistent
          com.pmease.quickbuild.model.Group

public class Group
extends Persistent

Represents a user group in the system. Group can be defined and users can be specified with the belonging group.

Author:
  robin shine

Field Summary
`static java.lang.String` | `ANONYMOUS_NAME` Specicial group names
`static java.lang.String` | `USERS_WHO_CHECKED_IN_SINCE_LAST_BUILD`
`static java.lang.String` | `USERS_WHO_CHECKED_IN_SINCE_LAST_SUCCESS_BUILD`

Constructor Summary
`Group()`

Method Summary
`java.util.List` | `getAuthorizedQueueNames()` Specify authorized queues for this group.
`org.apache.tapestry.form.IPropertySelectionModel` | `getAuthorizedQueueNamesSelectionModel()`
`java.util.Set` | `getConfigurationPermissions()` Get configuration permissions under this group.
`java.lang.String` | `getDescription()` Specify description text of this group.
`GroupEditor` | `getEditor()`
`java.lang.String` | `getName()` Specify name of this group.
`java.util.Map` | `getNameChoices()`
`static java.lang.String` | `getQuotedName(java.lang.String groupName)`
`java.util.Set` | `getUserRelations()` Get users under this group.
`void` | `initializeUserRelations()` Initialize the children set which is a hibernate lazy collection.
`void` | `setAuthorizedQueueNames(java.util.List authorizedQueueNames)`
`void` | `setConfigurationPermissions(java.util.Set configurationPermissions)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEditor(GroupEditor editor)`
`void` | `setName(java.lang.String name)`
`void` | `setUserRelations(java.util.Set userRelations)`

Methods inherited from class com.pmease.quickbuild.model.Persistent
`equals, getEntityVersion, getId, hashCode, setEntityVersion, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANONYMOUS_NAME

    public static final java.lang.String ANONYMOUS_NAME

  Specicial group names

  See Also:
    Constant Field Values

### USERS_WHO_CHECKED_IN_SINCE_LAST_BUILD

    public static final java.lang.String USERS_WHO_CHECKED_IN_SINCE_LAST_BUILD

See Also:
  Constant Field Values

### USERS_WHO_CHECKED_IN_SINCE_LAST_SUCCESS_BUILD

    public static final java.lang.String USERS_WHO_CHECKED_IN_SINCE_LAST_SUCCESS_BUILD

See Also:
  Constant Field Values

Constructor Detail

### Group

    public Group()

Method Detail

### getName

    public java.lang.String getName()

  Specify name of this group. The following names have special meaning:
  anonymous: All anonymous users will be treated as an user of this group, thus get permissions configured in this group.

  Returns:

### setName

    public void setName(java.lang.String name)

### getNameChoices

    public java.util.Map getNameChoices()

### getDescription

    public java.lang.String getDescription()

  Specify description text of this group.

  Returns:

### setDescription

    public void setDescription(java.lang.String description)

### getUserRelations

    public java.util.Set getUserRelations()

  Get users under this group.

  Returns:

### setUserRelations

    public void setUserRelations(java.util.Set userRelations)

### initializeUserRelations

    public void initializeUserRelations()

  Initialize the children set which is a hibernate lazy collection.

### getConfigurationPermissions

    public java.util.Set getConfigurationPermissions()

  Get configuration permissions under this group.

  Returns:

### setConfigurationPermissions

    public void setConfigurationPermissions(java.util.Set configurationPermissions)

### getAuthorizedQueueNames

    public java.util.List getAuthorizedQueueNames()

  Specify authorized queues for this group. Users in this group can only run builds in authorized queues.

  Returns:

### setAuthorizedQueueNames

    public void setAuthorizedQueueNames(java.util.List authorizedQueueNames)

### getEditor

    public GroupEditor getEditor()

### setEditor

    public void setEditor(GroupEditor editor)

### getAuthorizedQueueNamesSelectionModel

    public org.apache.tapestry.form.IPropertySelectionModel getAuthorizedQueueNamesSelectionModel()

### getQuotedName

    public static java.lang.String getQuotedName(java.lang.String groupName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.